<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Demo Page 2</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="navbar">
      <a href="https://pages.gitlab.io/plain-html/">Plain HTML Example</a>
      <a href="https://gitlab.com/pages/plain-html/">Repository</a>
      <a href="https://gitlab.com/pages/">Other Examples</a>
    </div>

    <h1>Hello World!</h1>

    <p>
      This is a simple plain-HTML website on GitLab Pages, without any fancy static site generator.
      <br><br>
      <button id="theButton" onclick="buttonClicked()">Click me for a click event</button>
      <br><br>
      <a href="index.html">Go Home</a>
    </p>


    <script src="https://unpkg.com/@gitlab/application-sdk-browser/dist/gl-sdk.min.js"></script>
    <script>window.glClient = window.glSDK.glClientSDK({
        appId: 'nTiTopTf_Sg9r3UImLZcAQ',
        host: 'https://collector.prod-1.gl-product-analytics.com',
        hasCookieConsent: true,
    });
    // Tracks the current page view
    window.glClient.page();
        function buttonClicked(event) {
            window.glClient.track('click', { elementId: 'theButton' })
        }
    </script>


  </body>
</html>
